From d907adba437fdc96a16dc7b10380d94581a9ab96 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:06:59 +0000
Subject: [PATCH 509/1001] Adjust the populate script to not use <username>.id.fp.o


This for the change to openid-connect where we no longer use the openid
url

---

diff --git a/populate-from-fas.py b/populate-from-fas.py
index 8c3531b..cab611e 100755
--- a/populate-from-fas.py
+++ b/populate-from-fas.py
@@ -38,19 +38,19 @@ for letter in reversed(sorted(list(set(string.letters.lower())))):
     session = hubs.models.init(
         fedmsg_config['hubs.sqlalchemy.uri'], True, True)
     print "Querying FAS for the %r users.. hang on." % letter
-    request = fasclient.send_request('/user/list',
-                                     req_params={'search': '%s*' % letter},
-                                     auth=True,
-                                     timeout=500)
+    request = fasclient.send_request(
+        '/user/list',
+        req_params={'search': '%s*' % letter, 'status': 'active'},
+        auth=True,
+        timeout=500)
     users = request['people']
 
     for user in users:
         username = user['username']
         fullname = user['human_name']
-        openid = '%s.id.fedoraproject.org' % username
         print "Creating account for %r" % openid
         hubs_user = hubs.models.User.get_or_create(
-            session, openid=openid, fullname=fullname)
+            session, username=username, fullname=fullname)
 
     session.commit()
 
diff --git a/populate.py b/populate.py
index 9762426..8487aa9 100755
--- a/populate.py
+++ b/populate.py
@@ -15,10 +15,9 @@ users = ['mrichard', 'duffy', 'ryanlerch', 'gnokii', 'nask0',
          'pravins', 'keekri', 'linuxmodder', 'bee2502', 'jflory7']
 for username in users:
     fullname = 'Full Name Goes Here'
-    openid = '%s.id.fedoraproject.org' % username
-    print("Creating account for %r" % openid)
+    print("Creating account for %r" % username)
     hubs.models.User.get_or_create(
-        session, openid=openid, fullname=fullname)
+        session, username=username, fullname=fullname)
 
 session.commit()
 
@@ -59,9 +58,9 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'pravins.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph.id.fedoraproject.org'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'pravins'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'subscriber')
 
 
 session.commit()
@@ -102,11 +101,11 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'jflory7.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'bee2502.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'keekri.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'linuxmodder.id.fedoraproject.org'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'jflory7'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'bee2502'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'keekri'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'linuxmodder'), 'member')
 
 
 session.commit()
@@ -147,12 +146,12 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'croberts.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ryanlerch.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'mrichard.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'mattdm.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph.id.fedoraproject.org'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'croberts'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'ryanlerch'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'mrichard'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'mattdm'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'subscriber')
 
 
 session.commit()
@@ -193,13 +192,13 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'duffy.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ryanlerch.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'gnokii.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'mrichard.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'nask0.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph.id.fedoraproject.org'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'duffy'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'ryanlerch'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'gnokii'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'mrichard'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'nask0'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'subscriber')
 
 session.commit()
 
@@ -239,10 +238,10 @@ widget = hubs.models.Widget(plugin='dummy', index=3, left=True)
 hub.widgets.append(widget)
 
 
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'abompard.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'lmacken.id.fedoraproject.org'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'nask0.id.fedoraproject.org'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause.id.fedoraproject.org'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'abompard'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'lmacken'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'nask0'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'subscriber')
 
 session.commit()

